from cod_api import API, platforms
import asyncio
import os

if os.name == 'nt':
    asyncio.set_event_loop_policy(asyncio.WindowsSelectorEventLoopPolicy())

## sync
# initiating the API class
api = API()

# login in with sso token
api.login('')

# retrieving combat history
profile = api.Warzone.breakdownWithDate(platforms.Activision, "Ahrimdon", 1657919309, 1740896092) # returns data of type dict

# printing results to console
print(profile)